#ifndef INCLUDE_MODULE_DISPLAY_H
#define INCLUDE_MODULE_DISPLAY_H
/* ----------------------------------------------------------------------------
 * module_display.h
 * prototypes and definitions for the module display.
 *
 * Copyright 2002 Matthias Grimm (joker@cymes.de).
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 * ----------------------------------------------------------------------------*/

#include <pbbtaglist.h>

#define  DEFAULT_FB_DEVICE	"/dev/fb0"

#ifndef FBIOBLANK
#define FBIOBLANK      0x4611          /* 0 or vesa-level+1 */
#endif

/* operation codes (OP) for display_setlevel() */
#define OP_BRIGHTNESS_MIN		0
#define OP_BRIGHTNESS_DOWN		1
#define OP_BRIGHTNESS_UP		2
#define OP_BRIGHTNESS_MAX		3
#define OP_DIM_LIGHT			4
#define OP_DIM_RECOVER			5
#define OP_DIM_OFF				6

#define BACKLIGHT_OFF	0
#define BACKLIGHT_MIN	1
#define BACKLIGHT_MAX	base->backlightmax

/* public prototypes */
int display_init (struct tagitem *taglist);
int display_exit ();

/* private prototypes */
void display_keyboard (struct tagitem *taglist);
void display_query (struct tagitem *taglist);
void display_configure (struct tagitem *taglist);
void display_timer (struct tagitem *taglist);
int display_handle_tags (int mode, struct tagitem *taglist);
void display_set_brightness(int level);
int display_change_brightness(int op);
void display_framebuffer (int on);

#endif    /* INCLUDE_MODULE_DISPLAY_H */
